commit: b17d84b086f35ed0ecf9708b9f63ed99abde4e97
Author: Kai-Chun Ning <kaichun.ning <AT> gmail <DOT> com>
AuthorDate: Mon May 23 08:44:10 2022 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon May 23 11:56:49 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b17d84b0
x11-libs/libva-intel-driver: add a use flag to enable hybrid hardware
acceleration
This feature is supported by Intel Haswell and newer architectures.
Signed-off-by: Kai-Chun Ning <kaichun.ning <AT> gmail.com>
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
.../libva-intel-driver-2.4.1-r2.ebuild | 60 ++++++++++++++++++++++
x11-libs/libva-intel-driver/metadata.xml | 3 ++
2 files changed, 63 insertions(+)
diff --git a/x11-libs/libva-intel-driver/libva-intel-driver-2.4.1-r2.ebuild
b/x11-libs/libva-intel-driver/libva-intel-driver-2.4.1-r2.ebuild
new file mode 100644
index 000000000000..2adee1dcc69b
--- /dev/null
+++ b/x11-libs/libva-intel-driver/libva-intel-driver-2.4.1-r2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="intel-vaapi-driver"
+if [[ ${PV} = *9999* ]] ; then # Live ebuild
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/intel/intel-vaapi-driver"
+fi
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="HW video decode support for Intel integrated graphics"
+HOMEPAGE="https://github.com/intel/intel-vaapi-driver"
+if [[ ${PV} != *9999* ]] ; then
+
SRC_URI="https://github.com/intel/${MY_PN}/releases/download/${PV}/${MY_PN}-${PV}.tar.bz2"
+ S="${WORKDIR}/${MY_PN}-${PV}"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="hybrid wayland X"
+RESTRICT="test" # No tests
+
+RDEPEND="
+ >=x11-libs/libdrm-2.4.52[video_cards_intel,${MULTILIB_USEDEP}]
+ >=x11-libs/libva-2.4.0:=[X?,wayland?,drm,${MULTILIB_USEDEP}]
+
+ hybrid? (
+ >=x11-libs/intel-hybrid-codec-driver-2.0.0[X?,wayland?]
+ )
+
+ wayland? (
+ >=dev-libs/wayland-1.11[${MULTILIB_USEDEP}]
+ >=media-libs/mesa-9.1.6[egl(+),${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ eapply_user
+ sed -e 's/intel-gen4asm/\0diSaBlEd/g' -i configure.ac || die
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myconf=(
+ $(use_enable hybrid hybrid-codec)
+ $(use_enable wayland)
+ $(use_enable X x11)
+ )
+ ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_install_all() {
+ find "${D}" -name "*.la" -delete || die
+}
diff --git a/x11-libs/libva-intel-driver/metadata.xml
b/x11-libs/libva-intel-driver/metadata.xml
index da593f3141e2..fed131d8322d 100644
--- a/x11-libs/libva-intel-driver/metadata.xml
+++ b/x11-libs/libva-intel-driver/metadata.xml
@@ -5,6 +5,9 @@
<email>[email protected]</email>
<name>Alexis Ballier</name>
</maintainer>
+ <use>
+ <flag name="hybrid">Enable support for hybrid vaapi hardware acceleration
on Intel Haswell and newer architectures</flag>
+ </use>
<upstream>
<remote-id type="github">intel/intel-vaapi-driver</remote-id>
</upstream>